Subject: B-17 Boomerang Barbara, letter
From: [email-masked] (Michael Fitch)

Albert Soriano recently sent a letter and a copy of the last half of
his scrapbook to Mark Watson. The letter helps to 'flesh out' the
Boomerang Barbara story.

        An excerpt from Albert Soriano's recent letter:

January 4, 1994
Dear Mark,
        This is the last of my records on our combat missions. You
will note that we were very busy in early 1944. Mission number
nineteen was just about as close as you can get, to meet your
maker. My notes only touch the surface of that day. You will notice
a span of nineteen days between mission # 19 and mission # 20.
This was because after # 19 we were sent to a rest home. The rest
home was a large house in the country. The Air Force gave us a few
days off. Hunting, horse back riding, ping- pong, pool and all kind
of goodies. No one was hit on this day, but our ship was so full of
holes, we could not count them.
        I hope this will help get a bigger picture of your father's
missions. Where my name appears just write in his, for we flew 
together and shared the same things....

--------------------------------------------------------------------------
E-mail:         [email-masked]

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 DO SOMETHING!!!  Lead, follow, or GET OUT OF THE WAY!!!                   
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 E-mail:        [email-masked]